Skip to main content
GET
/
holidays
List holidays
curl --request GET \
  --url https://www.ruddr.io/api/workspace/holidays \
  --header 'Authorization: Bearer <token>'
{
  "results": [
    {
      "id": "e7a3b1c4-8f2d-4d59-b6e0-9a1c3f5d7b28",
      "name": "Independence Day",
      "description": "Federal holiday celebrating the Declaration of Independence.",
      "readOnly": false,
      "isActive": true,
      "createdAt": "2026-03-10T14:22:31.847Z",
      "occurrences": [
        "2025-07-04",
        "2026-07-04",
        "2027-07-05"
      ]
    }
  ],
  "hasMore": false
}
A day off that can be added to a holiday schedule. Ruddr includes several built-in standard holidays, and you can also create custom holidays.

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

startingAfter
string

A cursor ID (uuid) used to request the next page of results. If not provided, defaults to the first page of results.

endingBefore
string

A cursor ID (uuid) used to request the previous page of results. Is mutually exclusive with startingAfter.

limit
integer

The maximum number of results to be returned. Can be any number from 1 to 100. Defaults to 10, if not provided.

name
string

Filter by name when it exactly matches the provided keyword.

Response

200

results
object[]

The list of results for the current page.

hasMore
boolean

Whether there are more results available after this page.